Bug 22128 - REGRESSION: Latest webkit nightly breaks gmail for custom domain
Summary: REGRESSION: Latest webkit nightly breaks gmail for custom domain
Status: RESOLVED WORKSFORME
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P1 Major
Assignee: Nobody
URL:
Keywords: NeedsReduction, Regression
Depends on:
Blocks:
 
Reported: 2008-11-07 10:07 PST by Matt Ruhstaller
Modified: 2012-06-25 15:48 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Ruhstaller 2008-11-07 10:07:51 PST
I am a google employee, and have found that both of the nightly's released on 11/7 break gmail for google.com.  The page starts to load, then hangs and a refresh repeats the problem.  I have fallen back to the 11/3 nightly pending a fix of this issue.

Thanks!
Comment 1 Matt Ruhstaller 2008-11-08 09:55:09 PST
The problem persists in build 38232.
Comment 2 Alexey Proskuryakov 2008-11-08 12:31:38 PST
Is there any way for us to reproduce this?
Comment 3 Matt Ruhstaller 2008-11-08 23:34:33 PST
Unfortunately no, not without me losing my job :)  I would be happy to test out builds to tell you if it works or not.  If thats not a possibility, I can work with the Gmail team to see how we can best address this.  Thanks for helping out with this, love webkit!
Comment 4 Alexey Proskuryakov 2008-11-09 02:12:06 PST
Unfortunately, we had a long period without nightlies then, so it's very hard to guess what when wrong, and make a provisional fix. I guess we could try filling the gaps retroactively, but I'm not sure how complicated this is. CC'ing Mark to see what he thinks.

Help from the Gmail team would be very appreciated!
Comment 5 Mark Rowe (bdash) 2008-11-09 02:16:10 PST
That would not be very easy for me to do.  Is this reproducible for gmail on any custom domain, or just for google.com?  If it's on any domain, we may be able to find someone that is willing / able to do bisect from source themselves to track down the issue.
Comment 6 Matt Ruhstaller 2008-11-09 08:35:44 PST
I have sent an email to the Gmail team detailing this problem.  I'll do my best to keep up on them, and see if I can get someone over there to work with you.

Thanks again for the help.
Comment 7 Matt Lilek 2008-11-09 10:36:44 PST
(In reply to comment #5)
> Is this reproducible for gmail on any custom domain, or just for google.com?
> 

GMail on my domain loads and works just fine with ToT so it sounds like it's google.com-specific.
Comment 8 Matt Ruhstaller 2008-11-09 12:28:26 PST
I have forwarded this issue to the Google gmail team, and they are looking into it now.  I'll try to update with as much detail as I can, or will direct you to someone on that team who can work with someone directly.

Thanks guys!

Matt
Comment 9 Elliott Sprehn 2012-06-25 15:48:43 PDT
Gmail with @google.com domains works fine now. I can't imagine this is still an issue 4 years later.